=== debian/changelog ===
qepcad (1.74+ds-3) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Update copyright years.
  * debian/patches/signed-char-eof.patch
    - New patch; use signed char when reading input (Closes: #996561).
  * debian/rules
    - Use $(MAKE) instead of explicitly calling make.
  * debian/upstream/metadata
    - Add Bug-Submit field.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 18 Oct 2021 15:15:13 -0400

qepcad (1.74+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Oct 2021 18:57:58 +0530

qepcad (1.74+ds-1) unstable; urgency=low

  * Initial release (Closes: #951553).

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 07 Jul 2021 18:41:52 +0530
