=== debian/control ===
Source: qepcad
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               freeglut3-dev,
               libreadline-dev,
               libsaclib-dev,
               pkg-config
Standards-Version: 4.6.0
Section: math
Homepage: https://www.usna.edu/Users/cs/wcbrown/qepcad/B/QEPCAD.html
Vcs-Git: https://salsa.debian.org/science-team/qepcad.git
Vcs-Browser: https://salsa.debian.org/science-team/qepcad
Rules-Requires-Root: no

Package: qepcad
Architecture: any
Depends: singular, ${misc:Depends}, ${shlibs:Depends}
Description: quantifier elimination tool
 QEPCAD is an implementation of quantifier elimination by partial
 cylindrical algebraic decomposition due originally to Hoon Hong, and
 subsequently added on to by many others. It is an interactive
 command-line program written in C/C++, and based on the SACLIB
 library. Presented here is QEPCAD B version 1.x, the "B" designating a
 substantial departure from the original QEPCAD and distinguishing it
 from any development of the original that may proceed in a different
 direction. QEPCAD and the SACLIB library are the result of a program
 of research by George Collins and his PhD students that has spanned
 several decades ... and continues still!
