=== debian/watch ===
version=4
opts=dversionmangle=s/@DEB_EXT@//,repacksuffix=+ds \
https://www.usna.edu/Users/cs/wcbrown/qepcad/INSTALL/IQ.html \
qepcad-B.@ANY_VERSION@@ARCHIVE_EXT@
